> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipellm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 模型

> 列出当前账号在 Relay 上可用的模型 ID，并在请求里选用。

不要从旧文档页复制模型列表。当前账号的 Relay 目录以 [`GET /v1/models`](/zh/api-reference/list-models) 为准。

```bash theme={"dark"}
curl https://api.pipellm.ai/v1/models \
  -H "Authorization: Bearer $PIPELLM_API_KEY"
```

每条记录包含：

| 字段 | 含义 |
| - | - |
| `id` | 请求里 `model` 要填的值 |
| `display_name` | 可读名称 |
| `type_target` | 路由用的协议族，例如 `openai`、`anthropic`、`gemini` |

价格是另一次调用：[`GET /v1/models/pricing`](/zh/api-reference/model-pricing)。

## 对话

选用 `type_target` 与当前路由匹配的 `id`。

* OpenAI 兼容模型走 `POST /v1/chat/completions` 或 `POST /v1/responses`
* Anthropic 模型走 `POST /v1/messages`
* Gemini 模型走 `POST /v1beta/models/{model}:generateContent`

要保留一种 SDK、去调用另一个协议族的模型，使用 [converter 路由](/zh/guides/routing-protocols)。

## 视频

视频不是 Chat Completions。把公开模型名发给 [`POST /v2/videos`](/zh/api-reference/video/create)。

当前文档中的视频模型是 `seedance-2-0-mini`。以下别名指向同一个模型：

* `seedance-2-0-mini`（公开名）
* `seedance-2.0-mini`
* `doubao-seedance-2-0-mini-260615`

时长、分辨率和参考素材限制见 [视频生成](/zh/guides/video)。

## 未列出的模型

`GET /v1/models` 会过滤隐藏和未公开的模型。如果请求因未知模型 ID 返回 `400`，重新拉一次目录，使用当前的 `id`。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.